$1 PROCEDURE [dbo].[FastSell_v2_STOK_CIHAZ_TAKIP_ISLEMLERI]
@stok_kod varchar(25),
@cari_kod varchar(25),
@evrak_seri varchar(25),
@evrak_sira int,
@sth_Guid varchar(50),
@stok_cihaz_serino_liste StringList READONLY
AS
BEGIN 
DECLARE @seri_no varchar(36)
DECLARE SERI_NO_CURSOR CURSOR
FOR
SELECT Item FROM @stok_cihaz_serino_liste
OPEN SERI_NO_CURSOR
FETCH NEXT FROM SERI_NO_CURSOR INTO @seri_no
WHILE @@FETCH_STATUS=0
BEGIN
IF NOT EXISTS (SELECT * FROM STOK_SERINO_TANIMLARI WHERE chz_stok_kodu=@stok_kod and chz_serino=@seri_no)
BEGIN 
	exec FastSell_v2_STOK_SERI_NO_TANIM_EKLE @stokKod=@stok_kod,@seriNo=@seri_no,@evrakSeri=@evrak_seri,@evrakSira=@evrak_sira,@cariKod=@cari_kod
END
	exec FastSell_v2_STOK_CIHAZ_HAREKET_EKLE @stokKod=@stok_kod,@seriNo=@seri_no,@sthGuid=@sth_Guid
	FETCH NEXT FROM SERI_NO_CURSOR INTO @seri_no
END
CLOSE SERI_NO_CURSOR
DEALLOCATE SERI_NO_CURSOR
END